@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');

:root {
    --primary-color: #285a84;
    --secondary-color: #74B513;
    --red-color: #ff0000;
    --dark-color: #200055;
    --white-color: #FFFFFF;
    --text-color: #4D4D4D;
    --text-color-2: #7B7B7B;
    --my-font: "Rubik", sans-serif;
    ;
    --my-shadow: 0 2px 2px 0px rgba(0, 0, 0, 0.1)
}

*,
html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-size: 100%;
    margin: 0;
    padding: 0;
    font-family: "Inter", sans-serif;
    letter-spacing: 0.25px;
    color: #121212;
}

a {
    text-decoration: none;
    color: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6,
ul {
    margin: 0;
    padding: 0;
}

ul {
    list-style: none;
}

.pointer {
    cursor: pointer;
}

.primary-color {
    color: var(--primary-color) !important;
}

.second-color {
    color: var(--secondary-color) !important;
}

.red-color {
    color: var(--red-color) !important;
}

.section-padding {
    padding: 50px 0;
}

.my-font {
    font-family: var(--my-font);
}

.title {
    font-size: 2.5rem;
    position: relative;
    margin-bottom: 2.75rem;
    font-weight: 400;
    font-family: var(--my-font);
    text-align: center;

    &::before {
        content: "";

    }
}

.btn1 {
    padding: 0.5em 1em;
    font-size: 0.875rem;
    display: inline-block;
    background-color: var(--primary-color);
    border: 1px solid var(--primary-color);
    border-radius: 0.2em;
    cursor: pointer;
    overflow: hidden;
    position: relative;
    transition: 300ms cubic-bezier(0.83, 0, 0.17, 1);

    &>.text {
        font-weight: 600;
        color: var(--white-color);
        position: relative;
        z-index: 1;
        transition: color 700ms cubic-bezier(0.83, 0, 0.17, 1);
    }
}

.btn1::after {
    content: "";
    width: 0;
    height: calc(400% + 1em);
    position: absolute;
    translate: -50% -50%;
    inset: 50%;
    rotate: 30deg;
    background-color: var(--secondary-color);
    transition: all 1000ms cubic-bezier(0.83, 0, 0.17, 1);
}

.btn1:hover {
    border-color: var(--secondary-color);

    &>.text {
        color: var(--white-color);
    }

    &::after {
        width: calc(120% + 1em);
    }

}

.btn1:active {
    scale: 0.98;
    filter: brightness(0.9);
}


.btn2 {
    background: var(--secondary-color);
    border: none;
    padding: 10px;
    color: var(--white-color);
    font-weight: 600;
    padding: 12px 20px;
    transition: all 0.3s ease-in-out;
}

.btn2:hover {
    background: var(--primary-color);
    color: var(--white-color);
}

.sub-title {
    display: inline-flex;
    border-radius: 50vw;
    background-color: var(--secondary-color);
    color: var(--white-color);
    padding: 0.25rem;
    padding-right: 1rem;
    align-items: center;
    font-size: 0.875rem;
    margin-bottom: 1rem;
}

.sub-title .icon-contain {
    background-color: var(--white-color);
    color: var(--secondary-color);
    border-radius: 50%;
    width: 30px;
    aspect-ratio: 1/1;
    align-content: center;
    text-align: center;
    font-size: 1.25rem;
    margin-right: 0.5rem;
    font-weight: 500;
}

.navbar {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    padding-top: 12px;
    padding-bottom: 12px;
}

.navbar-brand img {
    height: 52px;
}

.navbar .nav-link {
    font-size: 15px;
    font-weight: 500;
    transition: all 0.2s ease-in-out;
    position: relative;
    overflow: hidden;
    padding: 8px 0 !important;
    margin: 0 1rem;
    color: #121212;
}

.navbar .nav-link::before {
    content: "";
    position: absolute;
    bottom: 6px;
    left: 0;
    width: 0;
    transition: all 0.25s ease-in-out;
    height: 2px;
    background-color: var(--primary-color);
}

.navbar .nav-link:hover::before {
    width: 100%;
}

.navbar .nav-link:hover {
    color: var(--primary-color);
}

.navbar .search .form-control {
    height: 40px;
    padding: 0 3rem 0 14px;
    font-size: 14px;
    border-radius: 5px;
    outline: none;
    border: none;
    position: relative;
    box-shadow: none;
    border: 1px solid #c3c3c3;

    &:focus {
        border-color: var(--primary-color);
    }
}

.navbar .search-btn {
    position: absolute;
    width: 32px;
    height: 32px;
    border-radius: 3px;
    color: var(--white-color);
    font-size: 18px;
    top: 50%;
    right: 4px;
    transform: translateY(-50%);
    background-color: var(--primary-color);
    border: none
}

@media all and (min-width:992px) {
    .navbar .dropdown-menu-end {
        right: 0;
        left: auto;
        min-height: auto !important;
        border-radius: 0
    }

    .navbar .dropdown-menu {
        display: block;
        opacity: 1;
        transform: translateY(20px);
        transition: all .3s ease-in;
        visibility: hidden;
    }

    .navbar .nav-item .dropdown-menu {
        display: block;
        opacity: 0;
        visibility: hidden;
        transition: .3s;
        margin-top: 0;
        min-width: 14rem;
        border-radius: 0;
        border: 0;
        box-shadow: -2px 3px 10px rgb(0 0 0 / .1)
    }

    .navbar .dropdown-menu .dropdown-submenu.dropend .dropdown-menu {
        left: 100%;
        right: 0;
        top: -8px;
        border-radius: 0
    }

    .navbar .dropdown-submenu:hover>.dropdown-menu,
    .navbar .dropdown:hover>.dropdown-menu {
        opacity: 1;
        transform: scaleY(1);
        visibility: visible
    }

    .dropdown-menu a,
    .dropdown-submenu a {
        color: var(--black-color);
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 4px 15px;
        text-decoration: none;
        font-size: 0.875rem
    }

    .dropdown-menu a:hover,
    .dropdown-submenu a:hover,
    .dropdown-menu a:focus,
    .dropdown-submenu a:focus {
        color: var(--primary-color);
        background-color: #fff0
    }

    .dropdown-toggle::after {
        margin-left: 8px
    }
}

.navbar.scroll-on {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    background: #fff;
    transition: all ease-in-out 0.2s;
    box-shadow: 0 -2px 20px 5px #0000000f;
    animation: fadeInDown 0.5s ease-in-out;
}

@keyframes fadeInDown {
    0% {
        top: -30%;
    }

    50% {
        top: -15%;
    }

    100% {
        top: 0;
    }
}

.banner {
    height: 92vh;
    width: 100%;
    position: relative;
    overflow: hidden;

    &:before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(to right, rgba(0, 0, 0, 0.418), rgba(0, 0, 0, 0));
        z-index: 1;
    }
}

.banner-cont-dets {
    color: var(--white-color);
}

.banner-cont-dets h1 {
    font-size: 2.5rem;
    line-height: 1.25;

    span {
        color: #80d106;
    }
}

.banner-cont-dets p {
    font-size: 1rem;
    line-height: 1.75rem;
    padding-bottom: 1rem;
}

.banner .banner-img {
    height: 92vh;
    width: 100%;
    object-fit: cover;
    object-position: top;
}

.banner .container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 5;
}

.call-form {
    background: #fff;
    padding: 30px;
    border-radius: 6px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    position: relative;
}

.call-form .form-header {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
    background-color: #ecf4fb;
    border-radius: 0 4px 4px 0;
}

.call-form .form-header-icon {
    background: var(--primary-color);
    padding: 10px 14px;
    border-radius: 4px 0 0 4px;
    color: #fff;
    font-size: 24px;
    margin-right: 10px;
    transition: all 0.35s cubic-bezier(0.075, 0.82, 0.165, 1);

    &:hover {
        background-color: var(--primary-color);
    }
}

.call-form h5 {
    margin-bottom: 2px;
    font-weight: 700;
    font-size: 1rem;
    color: var(--primary-color);
}

.call-form p {
    font-size: 12px;
    color: #666;
    margin-bottom: 20px;
}

.call-form .form-check-label {
    font-size: 14px;
}

.banner .form-control,
.banner .form-select {
    min-height: 48px;
    font-size: 15px;

    &:focus {
        border-color: var(--primary-color);
    }
}

.banner .form-select {
    max-width: 80px;
    background-color: #f5f5f5;
}

.banner .form-check-input:checked {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

/* Form Section */
.form-section {
    margin-top: -42px;
    position: relative;
    z-index: 8;
}

.search-bar {
    display: flex;
    width: 100%;
    background: #fff;
    border-radius: 4px;
    overflow: hidden;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.search-bar .form-group {
    padding: 0.85rem 1.5rem;
    border-right: 1px solid #ddd;
}

.search-bar label {
    font-weight: 500;
    font-size: 14px;
    margin-bottom: 2px;
    color: #e7551f;
}

.search-bar select {
    border: none;
    padding-left: 0;
    box-shadow: none;
    font-size: 18px;
    background-color: transparent;
    font-weight: 600;
}

.search-btn {
    display: flex;
    width: 100%;
}

.btn i {
    font-size: 18px;
    margin-right: 6px;
}

.form-section .btn2 {
    border-radius: 0;
    padding: 0 2rem;
}

.banner .slick-prev {
    left: 30px;
}

.banner .slick-next {
    right: 30px;
}


.about h2 {
    font-size: 1.75rem;
    line-height: 2.35rem;
    margin-bottom: 0.85rem;
    font-weight: 600;
}

.about p {
    font-size: 1rem;
    line-height: 1.75rem;
    color: #2b2b2b;
}

.about .inner-contain {
    display: flex;
    align-items: center;
    gap: 10px;
}

.about .inner-contain h4 {
    font-size: 1.05rem;
    line-height: 1.35rem;
}

.about .inner-contain small {
    font-size: 0.8rem;
}


.service-card {
    position: relative;
    border-radius: 12px;
    overflow: hidden;
    background: #fff;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    text-align: left;
}

.service-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.15);
}

.service-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: opacity 0.4s ease;
    z-index: 0;
    filter: brightness(0.5);
}

.service-card:hover .service-img {
    opacity: 1;
}

.service-card:hover h5,
.service-card:hover p {
    color: var(--white-color);
}

.service-card:hover hr {
    color: var(--white-color);
    background-color: #fff;
    opacity: 0.5;
}

.service-card:hover .learn-more {
    color: var(--white-color);
}

.service-content {
    position: relative;
    padding: 25px;
    z-index: 1;
}

.service-icon {
    width: 60px;
    height: 60px;
    background-color: #f3f3f3;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    margin-bottom: 1.5rem;
    font-size: 1.75rem;
    color: #198754;
}

.service-title {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 1rem;
}

.service-description {
    color: #555;
    font-size: 0.95rem;
    margin-bottom: 1.5rem;
    line-height: 1.5rem;
}

.learn-more {
    font-weight: 500;
    color: #198754;
    text-decoration: none;
    transition: color 0.3s ease;
}

.learn-more:hover {
    color: #145c32;
}




.why-title {
    font-size: 2rem;
    font-weight: 600;
    color: #1e2b20;
    margin-bottom: 1rem;
    line-height: 2.65rem;
    text-transform: capitalize;
}

.why-title span {
    color: #3a4c3f;
}

.why-feature {
    display: flex;
    align-items: start;
    padding: 2rem 0;
    border-bottom: 1px solid #c3c3c3;

    &:last-child {
        border-bottom: none;
        padding-bottom: 0;
    }
}

.why-feature-icon {
    width: 80px;
    aspect-ratio: 1/1;
    background-color: #145c32;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    font-weight: 400;
    color: var(--white-color);
    margin-right: 15px;
}

.why-feature h5 {
    font-size: 1.1rem;
    font-weight: 600;
    color: #2c3e32;
    margin-bottom: 5px;
}

.why-feature p {
    font-size: 0.95rem;
    color: #555;
    margin-bottom: 0;
    line-height: 1.65rem;
}

.why-img {
    position: relative;
    text-align: center;
}

.book-appointment {
    position: relative;
    background: #fff7f0;
    overflow: hidden;
}

.book-appointment::after {
    content: "";
    position: absolute;
    top: -50px;
    right: -50px;
    width: 300px;
    height: 300px;
    background: radial-gradient(circle, rgba(255, 194, 158, 0.418), transparent 70%);
    border-radius: 50%;
    z-index: 0;
}

.book-appointment .container {
    position: relative;
    z-index: 1;
}


.book-appointment h2 {
    font-size: 2rem;
    font-weight: 700;
    color: #1e2b20;
}

.book-appointment p {
    font-size: 1rem;
    color: #555;
    margin: 15px 0 25px;
}

.book-btn {
    background-color: #198754;
    color: #fff;
    padding: 12px 25px;
    border-radius: 30px;
    text-decoration: none;
    font-weight: 500;
    transition: background-color 0.3s ease;
}

.book-btn:hover {
    background-color: #145c32;
}


.package .inner-contain {
    border: 1px solid #e9e9e9;
    box-shadow: 2px 2px 10px 0 rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    overflow: hidden;
    transition: all 0.25s ease-in-out;
}

.package .inner-contain .content {
    padding: 1.5rem;
}

.package .content h5 {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
    transition: all 0.25s ease-in-out;
}

.package .inner-contain:hover h5 {
    color: var(--primary-color);
}

.package .content p {
    color: #4b4b4b;
    font-size: 0.9rem;
    line-height: 1.5rem;
    text-overflow: ellipsis;
    -webkit-line-clamp: 3;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.package .content hr {
    color: #696969;
    margin: 1rem 0;
}

.package .learn-btn {
    font-size: 1rem;
    color: var(--primary-color);
    font-weight: 500;
    display: inline-flex;
    align-items: center;
    gap: 6px;
}

.faq-section {
    background-color: #285b8418;
}

.accordion-button:not(.collapsed) {
    background-color: var(--primary-color);
    color: var(--white-color);
}

.accordion-button:not(.collapsed)::after {
    filter: brightness(0) invert(1);
}

.accordion-body p {
    font-size: 0.9rem;
    color: #4b4b4b;
    line-height: 1.5rem;

    &:last-child {
        margin-bottom: 0;
    }
}

.accordion-item {
    border-bottom: 1px solid #285b8467 !important;
}


/* ================================ 
Blogs Section 
=================================== */
.blogs .inner-contain img {
    width: 100%;
    height: 280px;
    object-fit: cover;
}

.blogs .inner-contain .date-badge {
    font-size: 14px;
    font-weight: 400;
    padding: 10px;
    display: inline-block;
    padding-bottom: 4px;
    color: #4b4b4b;
}

.blogs .inner-contain h3 {
    font-size: 20px;
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-height: 30px;
    font-weight: 500;
    padding: 0 10px;
    margin-top: 1rem;
    color: #353535;
}

footer {
    font-size: 0.875rem;
}

footer ul li {
    margin-bottom: 10px;
}

footer ul li a {
    position: relative;
    display: inline-flex !important;
    align-items: center !important;
    transition: all 0.25s ease-in-out;

    &::before {
        content: '';
        background-color: var(--white-color);
        width: 6px;
        aspect-ratio: 1/1;
        border-radius: 50%;
        display: inline-block;
        margin-right: 8px;
        transition: all 0.25s ease-in-out;
    }
}

footer ul li a:hover::before {
    margin-right: 14px;
}

.getquoteModal .my-btn-close {
    position: absolute;
    top: -12px;
    right: -12px;
    border-radius: 50%;
    padding: 10px;
    background-color: var(--red-color);
    color: var(--white-color);
    width: 30px;
    height: 30px;
    border-radius: 5px;
    z-index: 88;
    border: none;
    outline: none;
    box-shadow: none;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
}

.modal .form-control,
.modal .form-select {
    min-height: 46px;
    font-size: 0.875rem;

    &:hover {
        border-color: var(--primary-color);
    }

    &:focus {
        border-color: var(--secondary-color);
    }
}


.inner-banner {
    width: 100%;
    background: url(../images/banner/inner-bg.jpg) no-repeat center;
    background-size: cover;
    align-content: center;
    height: 200px;
}

.inner-banner h1,
.inner-banner h2 {
    font-size: 2.25rem;
    font-weight: 700;
    margin-bottom: 0.5rem;
    color: #02335a;
}


.mission .info-card {
    position: relative;
    border-radius: 20px;
    padding: 40px 30px;
    background: #fff;
    overflow: hidden;
    transition: all 0.4s ease-in-out;
}

.mission .info-card::before {
    content: "";
    position: absolute;
    top: -50%;
    left: -50%;
    width: 200%;
    height: 200%;
    background: linear-gradient(135deg, #ff8800, #ffb347);
    transform: rotate(25deg);
    z-index: 0;
    transition: 0.5s;
    opacity: 0.07;
}

.mission .info-card:hover::before {
    transform: rotate(0deg);
    opacity: 0.15;
}

.mission .info-header {
    position: relative;
    display: inline-block;
    background: #ff8800;
    color: #fff;
    font-weight: 700;
    padding: 10px 25px;
    border-radius: 50px;
    margin-bottom: 20px;
    font-size: 1rem;
    z-index: 1;
    box-shadow: 0 4px 12px rgba(255, 136, 0, 0.3);
}

.mission .info-title {
    position: relative;
    font-size: 1.3rem;
    font-weight: 700;
    color: #2d2d48;
    margin-bottom: 20px;
    z-index: 1;
}

.mission .info-text {
    position: relative;
    color: #3f3f3f;
    line-height: 1.8;
    font-size: 1rem;
    z-index: 1;
    margin-bottom: 0;
}

.mission .row.g-4>div:nth-child(2) .info-header {
    background: #0077ff;
    box-shadow: 0 4px 12px rgba(0, 119, 255, 0.3);
}

.mission .row.g-4>div:nth-child(2) .info-card::before {
    background: linear-gradient(135deg, #0077ff, #44a7ff);
}


.all-diagnostic .btn2 {
    font-size: 0.875rem;
    padding: 0.8rem 1.25rem;
    border-radius: 0.25rem;
    line-height: 1;
}

.all-diagnostic .nav-tabs {
    gap: 10px;
}

.all-diagnostic .nav-item .nav-link {
    border: 1px solid #dadada;
    border-radius: 0.25rem;
    font-size: 0.875rem;
    color: #121212;

    &:hover {
        background-color: #ebebeb;
    }
}

.all-diagnostic .nav-item .nav-link.active {
    color: var(--white-color);
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.search-area form .form-control {
    min-height: 44px;
    font-size: 0.875rem;

    &:focus {
        border-color: var(--primary-color);
    }
}

.search-area form .search-btnn {
    background-color: var(--primary-color);
    color: var(--white-color);
    border: 0;
    padding: 0 0.9rem;
    font-size: 1.125rem;
    transition: 0.25s ease-in-out all;

    &:hover {
        background-color: var(--secondary-color);
        color: var(--white-color);
    }
}

/* .all-diagnostic .det-contain {
    border: 1px solid #e0e0e0;
} */

.all-diagnostic .det-contain .stripp {
    padding: 0.75rem 1rem;
    background-color: #e0efff;
    margin-bottom: 1rem;
    border-radius: 4px;
    font-size: 1.125rem;
    color: #165080;
}

.all-diagnostic .det-contain .det-details {
    padding: 0% 1rem 1rem 1rem;
    font-size: 0.9rem;
    line-height: 1.5rem;
    color: #222222;

    p {
        margin-bottom: 0.5rem;
    }

    &:last-child {
        margin-bottom: 0;
    }
}

.main-sticky {
    position: sticky;
    top: 100px;
}

.blog-details h1 {
    font-size: 28px;
    margin-bottom: 20px;
    line-height: 40px;
    font-weight: 500;
}

.contact-card {
    background: #fff;
    border-radius: 18px;
    box-shadow: 0px 8px 25px rgba(0, 0, 0, 0.08);
    padding: 40px;
    height: 100%;
}

.contact-form .form-control {
    border-radius: 5px;
    padding: 14px;
    border: 1px solid #ddd;
    transition: all 0.3s ease;
    box-shadow: none;
}

.contact-form .form-control:focus {
    border-color: var(--primary-color);
}

.contact-form button {
    border-radius: 12px;
    padding: 14px;
    font-weight: 600;
}

.contact-info h6 {
    font-weight: 700;
    text-transform: uppercase;
    font-size: 14px;
    margin-bottom: 8px;
    color: var(--primary-color);
}

.contact-info a {
    color: var(--primary-color);
    text-decoration: none;
}

.contact-info a:hover {
    text-decoration: underline;
}


.contact-section .stripp {
    padding: 0.75rem 1rem;
    background-color: #e0efff;
    margin-bottom: 1rem;
    border-radius: 4px;
    font-size: 1.125rem;
    color: #165080;
}

.all-diagnostic .img-fluid {
    aspect-ratio: 14/9;
    width: 100%;
    object-fit: cover;
}